> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of WordPress Site themes

> This endpoint is deprecated. Please use <a href="https://api-docs.kinsta.com/api-reference/wordpress-site-themes-&-plugins/get-list-of-wp-site-themes" target="_blank">Get Wordpress Themes</a> instead.



## OpenAPI

````yaml /schemas/index.yaml get /sites/environments/{env_id}/themes
openapi: 3.1.0
info:
  title: Kinsta API
  version: 1.95.0
  description: pages/introduction.md
  termsOfService: https://kinsta.com/legal/terms-service/
  x-logo:
    url: https://kinsta-api-resources.s3.amazonaws.com/kinsta-api-logo-light.svg
    href: /
  x-meta:
    title: Kinsta API - Kinsta® Docs
    description: >-
      Kinsta's REST API provides a streamlined and efficient way to work with
      our platform, allowing you to efficiently retrieve data, perform actions,
      and automate tasks.
servers:
  - url: https://api.kinsta.com/v2
security: []
tags:
  - name: Company Users
    description: pages/company-users/description.md
  - name: Domains
    description: pages/domains/description.md
  - name: Available Regions
    description: pages/available-regions/description.md
  - name: API Keys
    description: pages/api-keys/description.md
  - name: Activity Logs
    description: pages/activity-logs/description.md
  - name: WordPress Sites
    description: pages/wordpress-sites/description.md
  - name: WordPress Site Environments
    description: pages/wordpress-site-environments/description.md
  - name: WordPress Site Tools
    description: pages/wordpress-site-tools/description.md
  - name: WordPress Site Themes & Plugins
    description: pages/wordpress-site-themes-plugins/description.md
  - name: WordPress Site Domains
    description: pages/wordpress-site-domains/description.md
  - name: WordPress Edge Caching
    description: pages/wordpress-edge-caching/description.md
  - name: WordPress CDN
    description: pages/wordpress-cdn/description.md
  - name: Backups
    description: pages/backups/description.md
  - name: Logs
    description: pages/logs/description.md
  - name: Additional SFTP Users
    description: pages/additional-sftp-users/description.md
  - name: Analytics
    description: pages/analytics/description.md
  - name: Operations
    description: pages/operations/description.md
  - name: Authentication
    description: pages/authentication/description.md
paths:
  /sites/environments/{env_id}/themes:
    get:
      tags:
        - WordPress Site Themes & Plugins
      summary: Get list of WordPress Site themes
      description: >-
        This endpoint is deprecated. Please use <a
        href="https://api-docs.kinsta.com/api-reference/wordpress-site-themes-&-plugins/get-list-of-wp-site-themes"
        target="_blank">Get Wordpress Themes</a> instead.
      operationId: getThemes
      parameters:
        - schema:
            type: string
            example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
          required: true
          name: env_id
          in: path
      responses:
        '200':
          description: Successfully found WP themes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWpSiteEnvironmentThemesResponseSchema'
        '401':
          description: No or invalid API key provided to the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema401'
        '404':
          description: >-
            Could not find the WP themes or the user does not have permissions
            to retrieve data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema404'
        '500':
          description: Error occurred while retrieving WP themes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema500'
      deprecated: true
      security:
        - bearerAuth: []
components:
  schemas:
    GetWpSiteEnvironmentThemesResponseSchema:
      type: object
      properties:
        environment:
          type: object
          properties:
            id:
              type: string
              format: uuid
              example: 54fb80af-576c-4fdc-ba4f-b596c83f15b2
            container_info:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  example: 54fb80af-576c-4fdc-ba4f-b596c83f15c3
                wp_themes:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                            example: twentytwentythree
                          title:
                            type: string
                            example: Twenty Twenty Three
                          status:
                            type: string
                            example: active
                          version:
                            type: string
                            example: 1.0.0
                          update:
                            type: string
                            example: available
                          update_version:
                            type:
                              - string
                              - 'null'
                            example: 1.0.1
                          update_status:
                            type:
                              - string
                              - 'null'
                            example: updated
                        required:
                          - name
                          - title
                          - status
                          - version
                          - update
                          - update_version
                          - update_status
                  required:
                    - data
              required:
                - id
                - wp_themes
          required:
            - id
            - container_info
      required:
        - environment
    StatusResponseSchema401:
      type: object
      properties:
        message:
          type: string
          example: No or invalid API key provided to the request
        status:
          type: number
          example: 401
        data: {}
      required:
        - message
        - status
    StatusResponseSchema404:
      type: object
      properties:
        message:
          type: string
          example: >-
            Could not find data or the user does not have permissions to
            retrieve it
        status:
          type: number
          example: 404
        data: {}
      required:
        - message
        - status
    StatusResponseSchema500:
      type: object
      properties:
        message:
          type: string
          example: Error occurred while processing your request
        status:
          type: number
          example: 500
        data: {}
      required:
        - message
        - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````